Bug 383501 - Review Request: perl-Getopt-Euclid - Build command-line argument parser matching POD
Review Request: perl-Getopt-Euclid - Build command-line argument parser match...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-14 16:43 EST by Rasmus Ory Nielsen
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-19 13:05:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Rasmus Ory Nielsen 2007-11-14 16:43:58 EST
Spec URL: http://ron.dk/perl-Getopt-Euclid.spec
SRPM URL: http://ron.dk/perl-Getopt-Euclid-0.1.0-1.fc8.src.rpm
Getopt::Euclid uses your program's own documentation to create a command-
line argument parser. This ensures that your program's documented interface
and its actual interface always agree.

This is my first package, so I'm seeking a sponsor.

Comment 1 Jason Tibbitts 2007-11-18 00:06:45 EST
Builds fine and rpmlint is clean.  Let me do a full review....
Comment 2 Jason Tibbitts 2007-11-18 02:01:33 EST
So, a clean package; I can find nothing to complain about.  Which is very rare
for a first package (even a Perl one).  Congratulations!

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl-Getopt-Euclid = 0.1.0-1.fc9

* %check is present and all tests pass:
   All tests successful.
   Files=32, Tests=232,  2 wallclock secs ( 1.36 cusr +  0.49 csys =  1.85 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.


I will sponsor you; go ahead and apply for cvsextras access and I'll click the
appropriate button when I see the request.
Comment 3 Rasmus Ory Nielsen 2007-11-18 12:20:16 EST
Thank you for reviewing the package and thank you for sponsoring me.
I have applied for cvsextras membership.

Comment 4 Rasmus Ory Nielsen 2007-11-18 13:35:48 EST
New Package CVS Request
Package Name: perl-Getopt-Euclid
Short Description: Build command-line argument parser matching POD
Owners: ron
Branches: F-7 F-8
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-11-18 13:57:24 EST
cvs done.
Comment 6 Rasmus Ory Nielsen 2007-11-18 14:41:34 EST
Package Change Request
Package Name: perl-Getopt-Euclid
New Branches: F-8
Updated Description: Build command-line argument parser matching POD

Something went wrong in my initial cvs request. Only F-7 branch was created and
the description was set to 'F-8'.
Comment 7 Kevin Fenzi 2007-11-19 00:32:36 EST
:( Sorry about that... typo. ;( 

Should be fixed up now. Feel free to reset the fedora-cvs flag if something
further needs fixing up. 
Comment 8 Rasmus Ory Nielsen 2007-11-19 13:05:10 EST
Built on Koji (F-7, F-8, devel). Closing.

Jason, thank you for your review and for sponsoring me!

Note You need to log in before you can comment on or make changes to this bug.